﻿# EliteBGS

EliteBGS is a Windows desktop application, that helps you sum up your BGS related actions.
It then creates a report from your actions, so you can post it your Squadron's discord.

The tool originated from the [Nova Navy](https://inara.cz/elite/squadron/5058/), which required
BGS contributions to be posted to the Navy's discord, in a very specific format. Writing those
logs manually was a lot of work, so CMDR Hekateh created a tool to automate this process.

## Downloads

The tool requires .NET 7.0, you can download it from Microsoft here:

* [https://dotnet.microsoft.com/en-us/download/dotnet/7.0](https://dotnet.microsoft.com/en-us/download/dotnet/7.0)

If you have problems with the installer, you might try running the following in the Windows
command line:

```
winget install Microsoft.DotNet.DesktopRuntime.7
```

You can download the **latest** version **0.3.7** at CodeBerg:

* [https://codeberg.org/nola/EDBGS/releases](https://codeberg.org/nola/EDBGS/releases)

Or alternatively from my server:

* [https://bgs.n0la.org/elitebgs-0.3.7.zip](https://bgs.n0la.org/elitebgs-0.3.7.zip)

## Old Versions

The latest version of the **old** EliteBGS **0.1.7** is available for download here:

* [https://bgs.n0la.org/archive/elitebgs-0.1.7.zip](https://bgs.n0la.org/archive/elitebgs-0.1.7.zip)

Older versions are available in the archive:

* [https://bgs.n0la.org/archive/](https://bgs.n0la.org/archive/)

## Overview

EliteBGS reads through your player journal for BGS relevant activity, and sorts them into
"categories". These are based upon the star system, station and the faction for which the
action was taken. So for example if you contributed bounty vouchers for Nova Paresa in
Paresa, but also did some missions for Nova Paresa in Adachit, those actions will be
split into two categories.

You can then select which of the two actions goes into the final log.

### What it detects:

* Buying of cargo from stations (BGS relevant since Update 10)
* Completed missions
* Failed missions
* Murders
* Search and Rescue contributions
* Selling cartography data
* Selling of cargo to stations
* Selling of micro resources (Odyssey only)
* Vouchers, including bounty vouchers, combat bonds, and settlement vouchers (aka intel packages)
* Thargoid kills
* Combat zones (experimental feature)

The following transactions are recognised but not listed, because they do not affect BGS:

* Selling of organic data (Odyssey only)

### What it does not detect:

* Combat zone objectives
* Megaship scenarios
* On foot missions accepted by NPCs in stations (pre Update 13)
* Murders of NPCs you haven't fully scanned

## Open Source

The tool itself is Open Source, licenced unter the GPLv3.

The source code can be found here:

* [https://codeberg.org/nola/edbgs](https://codeberg.org/nola/edbgs)

## Contact

I can be reached over discord: `nola#2457`

Or by joining either the [Salus Invicta](https://discord.com/invite/FeEtjqBRkg) or the
[Nova Navy](https://discord.gg/WEJeFQw) discord.